Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2025-04-17 02:42:25

0001 #!/bin/bash
0002 
0003 # Pass in name and status
0004 function die { echo $1: status $2 ;  exit $2; }
0005 
0006 F1=${CMSSW_BASE}/src/PhysicsTools/Scouting/test/test_Run3ScoutingElectronBestTrack_cfg.py
0007 (cmsRun $F1 ) || die "Failure runnning $F1" $?
0008 
0009 # If the above test passes, test the content of the output ROOT Failure
0010 echo "Testing the content of the output ROOT file"
0011 edmDumpEventContent output_file.root > output_evtctnt.txt
0012 diff output_evtctnt.txt ${CMSSW_BASE}/src/PhysicsTools/Scouting/test/ref_Run3ScoutingElectronBestTrack_outputevtctnt.txt || die "Failure comparing edmDumpEventContent" $?